
import 'package:json_annotation/json_annotation.dart';

part 'scheduler_data.g.dart';

@JsonSerializable()
class SchedulerListData {

  late Map<String, SchedulerData> map = <String, SchedulerData>{};
  
  SchedulerListData();

  factory SchedulerListData.fromJson(Map<String, dynamic> json) =>
      _$SchedulerListDataFromJson(json);
  Map<String, dynamic> toJson() => _$SchedulerListDataToJson(this);
}

@JsonSerializable()
class SchedulerData {

  late String alias;
  late bool enable = true;
  
  SchedulerData();

  factory SchedulerData.fromJson(Map<String, dynamic> json) =>
      _$SchedulerDataFromJson(json);
  Map<String, dynamic> toJson() => _$SchedulerDataToJson(this);
}
